For the complete documentation index, see llms.txt. This page is also available as Markdown.

UserInclusion

Get

get

Retrieve FSLogix Profile Container User Inclusion List of a session server with the specified ID.

Path parameters
idinteger · int32Required

The ID of a session server for which to retrieve the FSLogix Profile Container settings.

Responses
200

Success

application/json; api-version=1.0

User filter

accountstring · nullableOptional

The name of the user/group account the filter is added to.

typestring · enumOptional

User Type

Possible values:
sidstring · nullableOptional

The SID of the user/group account the filter is added to.

get/api/RDS/HostPool/{id}/FSLogix/ProfileContainer/UserInclusion
GET /api/RDS/HostPool/{id}/FSLogix/ProfileContainer/UserInclusion HTTP/1.1
Accept: */*
[
  {
    "account": "text",
    "type": [
      "1 = User",
      "2 = Group",
      "3 = ForeignSecurityPrincipal",
      "4 = Computer"
    ],
    "sid": "text"
  }
]

Add

post

Add a user to the User Inclusion List of the FSLogix Profile Container settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the FSLogix Profile Container settings.

Body

Add a user or group account to the FSLogix user inclusion/exclusion list

accountstring · min: 1 · max: 255 · nullableOptional

The name of the user/group account to add to the FSLogix Container.

sidstring · min: 1 · max: 255 · nullableOptional

The SID of the user/group account to add to the FSLogix Container.

Responses
201

Created

No content

post/api/RDS/HostPool/{id}/FSLogix/ProfileContainer/UserInclusion
POST /api/RDS/HostPool/{id}/FSLogix/ProfileContainer/UserInclusion HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 31

{
  "account": "text",
  "sid": "text"
}

No content

Delete

delete

Remove a user from the User Inclusion List of the FSLogix Profile Container settings.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the FSLogix Profile Container settings.

Body

Remove a user from the FSLogix user inclusion list

accountstring · min: 1 · max: 255 · nullableOptional

The name of the user/group account to remove from the FSLogix Container.

sidstring · min: 1 · max: 255 · nullableOptional

The SID of the user/group account to remove from the FSLogix Container.

Responses
204

No Content

No content

delete/api/RDS/HostPool/{id}/FSLogix/ProfileContainer/UserInclusion
DELETE /api/RDS/HostPool/{id}/FSLogix/ProfileContainer/UserInclusion HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 31

{
  "account": "text",
  "sid": "text"
}

No content